/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICodeAllowList, IFluidCodeResolver, IFluidCodeDetails, ICodeDetailsLoader, IFluidModuleWithDetails } from "@fluidframework/container-definitions";
export declare class WebCodeLoader implements ICodeDetailsLoader {
    private readonly codeResolver;
    private readonly allowList?;
    private readonly loadedModules;
    private readonly scriptManager;
    constructor(codeResolver: IFluidCodeResolver, allowList?: ICodeAllowList | undefined);
    seedModule(source: IFluidCodeDetails, maybeFluidModule?: Promise<IFluidModuleWithDetails> | IFluidModuleWithDetails): Promise<void>;
    preCache(source: IFluidCodeDetails): Promise<void>;
    /**
     * @param source - Details of where to find chaincode
     */
    load(source: IFluidCodeDetails): Promise<IFluidModuleWithDetails>;
    private loadModuleFromResolvedCodeDetails;
}
//# sourceMappingURL=webLoader.d.ts.map